import java.io.*;

public class TestBoth
{
    public static void main(String[] args)
    {
        ArmController arm0 = new ArmController();
	ArmSimulator  arm1 = new ArmSimulator();

        BufferedReader in = new BufferedReader(
                            new InputStreamReader(System.in));
        String input;
        Sscanf line;
        int choice = 1;
        double[] value = new double[7];
	double data;
 
        if (arm0.connect() == false)
        {
            System.out.println("Problem with connect");
            System.exit(1);
        }
        System.out.println("Arm connected");

        arm1.openWindow();

        if (arm0.speed(25) == false)
        {
            System.out.println("Problem with speed");
            arm0.disconnect();
            System.exit(1);
        }
 
        arm0.ready();
	arm1.ready();

        System.out.println("1:waist 2:shoulder 3:elbow 4:wrist 5:twist " +
                           "6:grip 0:quit");        
        while (choice != 0)
        {
            try
            {
                input = in.readLine();
                line = new Sscanf(input);
 
                input = line.nextWord();
                choice = Integer.valueOf(input).intValue();
                if (choice >= 1 && choice <= 5)
                {
                    input = line.nextWord();
		    data = value[choice];
                    value[choice] = Double.valueOf(input).doubleValue();
                    if (arm1.madeg(value[1], value[2], value[3], value[4],
				   value[5]) == false)
		        value[choice] = data;
		    else
		        arm0.madeg(value[1], value[2], value[3], value[4],
				   value[5]);

                    System.out.println(value[1] + ", " + value[2] + ", " +
                                       value[3] + ", " + value[4] + ", " +
                                       value[5]);
                }
                else if (choice == 6)
                {
                    input = line.nextWord();
		    data = value[choice];
                    value[choice] = Double.valueOf(input).doubleValue();
                    if (arm1.grip(value[choice]) == false)
		        value[choice] = data;
		    else
		        arm0.grip(value[choice]);
                }
            }
            catch (Exception e)
            {
                System.out.println("Error: " + e);
                arm0.disconnect();
                System.exit(1);
            }
        }
 
        arm0.disconnect();
	System.exit(0);
    }
};
